=== debian/control ===
Source: ros-one-gazebo-ros
Section: misc
Priority: optional
Maintainer: Alejandro Hernández Cordero <ahcorde@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-one-catkin, ros-one-cmake-modules, ros-one-dynamic-reconfigure, ros-one-gazebo-dev, ros-one-gazebo-msgs, ros-one-geometry-msgs, ros-one-roscpp, ros-one-rosgraph-msgs, ros-one-roslib, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-one-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-one-dynamic-reconfigure, ros-one-gazebo-dev, ros-one-gazebo-msgs, ros-one-geometry-msgs, ros-one-roscpp, ros-one-rosgraph-msgs, ros-one-roslib, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Description: Provides ROS plugins that offer message and service publishers for interfacing with Gazebo through ROS.
 Formally simulator_gazebo/gazebo
